More M2Crypto issues

John Nagle nagle at animats.com
Sat Jan 20 04:34:13 CET 2007


Heikki Toivonen wrote:
> John Nagle wrote:
> 
>>    OpenSSL version: "OpenSSL 0.9.7a Feb 19 2003"
> 
> 
> Hmm, I've never actually used that old OpenSSL myself, just assumed from
> the original author's notes that anything from 0.9.7 onward worked.
> Guess not. I am thinking of changing the requirements to state which one
> works... I think the oldest that I have personally tested may have been
> 0.9.7d.

    I think older versions were built with an older OpenSSL and an older
SWIG.  The SWIG preprocessor has some limitations which can cause
errors to be reported during the SWIG preprocessor phase.

    This problem in SWIG has hit other projects.  See

http://blog.gmane.org/gmane.comp.programming.swig.devel/month=20051201

where the Common LISP people had a similar problem.

					John Nagle



More information about the Python-list mailing list